<template>
  <div class="app-container">
    <div class="head">
      添加配置模板
      <el-button
        type="primary"
        size="mini"
        style="margin-left: 20px"
        @click="back"
      >返回</el-button>
    </div>
    <!--    <edit-device
      style="margin-left: 40px"
      :obj="obj"
      @finish="back"
      @back="back"
    />-->
    <edit-device-module
      style="margin-left: 16px"
      :obj="obj"
      @finish="back"
      @back="back"
    />
  </div>
</template>

<script>
import EditDevice from './components/edit'
import EditDeviceModule from './components/EditDeviceModule'

export default {
  components: { EditDevice, EditDeviceModule },
  data() {
    return {
      obj: null
    }
  },
  created() {},
  mounted() {
    // this.initData()
  },
  methods: {
    back() {
      this.$router.back()
    }
  }
}
</script>

<style scoped>
.head {
  margin-left: 16px;
  font-weight: 600;
  font-size: 18px;
  color: #333333;
}
.foot-layout {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 34px;
  padding-right: 180px;
  margin-bottom: 20px;
}
</style>
